<html devsite><head>
    <title>Nexus のセキュリティに関する公開情報 - 2016 年 1 月</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p><em>2016 年 1 月 4 日公開 | 2016 年 4 月 28 日更新</em></p>

<p>Android のセキュリティに関する月例情報公開の一環として、Nexus 端末に対するセキュリティ アップデートを無線（OTA）アップデートで配信しました。Nexus ファームウェア イメージも <a href="https://developers.google.com/android/nexus/images">Google デベロッパー サイト</a>にリリースされています。LMY49F 以降のビルド、および Android 6.0（セキュリティ パッチ レベルが 2016 年 1 月 1 日以降）で下記の問題に対処しています。詳しくは、<a href="#common_questions_and_answers">一般的な質問と回答</a>をご覧ください。</p>

<p>パートナーにはこの公開情報に記載の問題について 2015 年 12 月 7 日までに通知し、アップデートを提供済みです。該当する場合、下記の問題に対するソースコードのパッチは、Android オープンソース プロジェクト（AOSP）レポジトリにリリースされています。</p>

<p>下記の問題のうち最も重大度の高いものは、多様な方法（メール、ウェブの閲覧、MMS など）により、攻撃対象の端末でメディア ファイルを処理する際にリモートでのコード実行が可能になるおそれのある重大なセキュリティの脆弱性です。<a href="/security/overview/updates-resources.html#severity">重大度の評価</a>は、攻撃対象の端末でその脆弱性が悪用された場合の影響に基づくもので、プラットフォームやサービスでのリスク軽減策が開発目的または不正な回避により無効となっていることを前提としています。</p>

<p>この新たに報告された問題によって実際のユーザー端末が不正使用された報告はありません。<a href="/security/enhancements/index.html">Android セキュリティ プラットフォームの保護</a>や SafetyNet のようなサービスの保護について詳しくは、下記の<a href="#mitigations">リスクの軽減</a>をご覧ください。こうした保護により、Android プラットフォームのセキュリティが改善されます。ご利用の端末で上記の更新を行うことをすべてのユーザーにおすすめします。</p>

<h2 id="mitigations">リスクの軽減</h2>

<p>ここでは、<a href="/security/enhancements/index.html">Android セキュリティ プラットフォーム</a>の保護と SafetyNet のようなサービスの保護によるリスクの軽減について概説します。こうした機能は、Android でセキュリティの脆弱性が悪用される可能性を減らします。</p>

<ul>
  <li> Android プラットフォームの最新版での機能強化により、Android 上の多くの問題の悪用が困難になります。Google では、すべてのユーザーに対し、できる限り最新バージョンの Android に更新することをおすすめしています。
  </li><li> Android セキュリティ チームは、「アプリの確認」や SafetyNet によって脆弱性の悪用を積極的に監視しています。こうした機能は、有害なおそれのあるアプリがインストールされる前に警告します。端末のルート権限を取得するツールは、Google Play で禁止されています。Google Play 以外からアプリをインストールするユーザーを保護するため、「アプリの確認」はデフォルトで有効になっており、ルート権限を取得する既知のアプリについてユーザーに警告します。「アプリの確認」では、悪意のある既知のアプリで権限昇格の脆弱性が悪用されないように、そのようなアプリのインストールを見つけて阻止します。こうしたアプリがすでにインストールされている場合は、ユーザーに通知して、そのアプリの削除を試みます。
  </li><li> Google ハングアウトやメッセンジャーのアプリでは状況を判断し、メディアサーバーなどのプロセスに自動的にメディアを渡すことはありません。
</li></ul>

<h2 id="acknowledgements">謝辞</h2>

<p>調査にご協力くださった下記の皆様方に感謝いたします（敬称略）。</p>

<ul>
  <li>Google Chrome セキュリティ チームの Abhishek Arya、Oliver Chang、Martin Barbella: CVE-2015-6636</li><li>Tencent KEEN lab（<a href="https://twitter.com/k33nteam">@K33nTeam</a>）の Sen Nie（<a href="https://twitter.com/@nforest_">@nforest_</a>）、jfang: CVE-2015-6637</li><li>Android Bionic チームの Yabin Cui: CVE-2015-6640</li><li> Google X の Tom Craig: CVE-2015-6641
  </li><li> Jann Horn（<a href="https://thejh.net">https://thejh.net</a>）: CVE-2015-6642
  </li><li> Jouni Malinen PGP id EFC895FA: CVE-2015-5310
  </li><li>Google 情報セキュリティ エンジニア チームの Quan Nguyen: CVE-2015-6644</li><li>Gal Beniamini（<a href="https://twitter.com/@laginimaineb">@laginimaineb</a>、<a href="http://bits-please.blogspot.com">http://bits-please.blogspot.com</a>）: CVE-2015-6639</li></ul>

<h2 id="security_vulnerability_details">セキュリティの脆弱性の詳細</h2>

<p>パッチレベル 2016-01-01 に該当するセキュリティ脆弱性の各項目について、下記に詳細を説明します。問題の内容とその重大度の根拠について説明し、CVE、関連するバグ、重大度、更新対象のバージョン、報告日を表にまとめています。該当する場合は、バグ ID の欄に、その問題に対処した AOSP での変更へのリンクがあります。複数の変更が同じバグに関係する場合は、バグ ID の後に続く番号で、追加の AOSP リファレンスへのリンクを示します。</p>

<h3 id="remote_code_execution_vulnerability_in_mediaserver">メディアサーバーでのリモートコード実行の脆弱性</h3>

<p>特別に細工されたメディア ファイルやデータのメディアサーバーでの処理中に、攻撃者がメディアサーバーの脆弱性を悪用して、メモリ破壊やリモートコード実行を行うおそれがあります。</p>

<p>影響を受ける機能はオペレーティング システムの中核部分として提供されており、複数のアプリにおいて、リモート コンテンツ（特に MMS やブラウザでのメディアの再生）によってこの脆弱性が攻撃されるおそれがあります。</p>

<p>メディアサーバーのサービスにおいてリモートでコードが実行されるおそれがあるため、この問題の重大度は「重大」と判断されています。メディアサーバーのサービスは音声や動画のストリームにアクセスできるほか、通常はサードパーティ製アプリがアクセスできないような権限にアクセスできます。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>バグと AOSP リンク</th>
    <th>重大度</th>
    <th>更新対象のバージョン</th>
    <th>報告日</th>
 </tr>
 <tr>
    <td rowspan="2">CVE-2015-6636</td>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Flibhevc/+/b9f7c2c45c6fe770b7daffb9a4e61522d1f12d51#">ANDROID-25070493</a></td>
    <td>重大</td>
    <td>5.0、5.1.1、6.0、6.0.1</td>
    <td>Google 社内</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Flibhevc/+/e8bfec1fa41eafa1fd8e05d0fdc53ea0f2379518">ANDROID-24686670</a></td>
    <td>重大</td>
    <td>5.0、5.1.1、6.0、6.0.1</td>
    <td>Google 社内</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_misc-sd_driver">misc-sd ドライバでの権限昇格の脆弱性</h3>

<p>MediaTek の misc-sd ドライバに権限昇格の脆弱性があり、悪意のあるローカルアプリがカーネル内で勝手なコードを実行できるおそれがあります。ローカルでの永久的な端末の侵害につながるおそれがあり、端末を修復するにはオペレーティング システムの再適用が必要になる可能性があるため、この問題は「重大」と判断されています。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>バグ</th>
    <th>重大度</th>
    <th>更新対象のバージョン</th>
    <th>報告日</th>
 </tr>
 <tr>
    <td>CVE-2015-6637</td>
    <td>ANDROID-25307013*</td>
    <td>重大</td>
    <td>4.4.4、5.0、5.1.1、6.0、6.0.1</td>
    <td>2015 年 10 月 26 日</td>
 </tr>
</tbody></table>

<p> * この問題に対するパッチは AOSP にはありません。アップデートは <a href="https://developers.google.com/android/nexus/drivers">Google デベロッパー サイト</a>から入手できる Nexus 端末用最新バイナリ ドライバに含まれています。</p>

<h3 id="elevation_of_privilege_vulnerability_in_the_imagination_technologies_driver">Imagination Technologies ドライバでの権限昇格の脆弱性</h3>

<p>Imagination Technologies のカーネル ドライバに権限昇格の脆弱性があり、悪意のあるローカルアプリがカーネル内で勝手なコードを実行できるおそれがあります。ローカルでの永久的な端末の侵害につながるおそれがあり、端末を修復するにはオペレーティング システムの再適用が必要になる可能性があるため、この問題は「重大」と判断されています。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>バグ</th>
    <th>重大度</th>
    <th>更新対象のバージョン</th>
    <th>報告日</th>
 </tr>
 <tr>
    <td>CVE-2015-6638</td>
    <td>ANDROID-24673908*</td>
    <td>重大</td>
    <td>5.0、5.1.1、6.0、6.0.1</td>
    <td>Google 社内</td>
 </tr>
</tbody></table>

<p> * この問題に対するパッチは AOSP にはありません。アップデートは <a href="https://developers.google.com/android/nexus/drivers">Google デベロッパー サイト</a>から入手できる Nexus 端末用最新バイナリ ドライバに含まれています。</p>

<h3 id="elevation_of_privilege_vulnerabilities_in_trustzone">TrustZone での権限昇格の脆弱性</h3>

<p>Widevine QSEE TrustZone アプリに権限昇格の脆弱性があり、権限を昇格された不正なアプリが QSEECOM へのアクセスを利用して TrustZone 内で勝手なコードを実行できるおそれがあります。ローカルでの永久的な端末の侵害につながるおそれがあり、端末を修復するにはオペレーティング システムの再適用が必要になる可能性があるため、この問題は「重大」と判断されています。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>バグ</th>
    <th>重大度</th>
    <th>更新対象のバージョン</th>
    <th>報告日</th>
 </tr>
 <tr>
    <td>CVE-2015-6639</td>
    <td>ANDROID-24446875*</td>
    <td>重大</td>
    <td>5.0、5.1.1、6.0、6.0.1</td>
    <td>2015 年 9 月 23 日</td>
 </tr>
 <tr>
    <td>CVE-2015-6647</td>
    <td>ANDROID-24441554*</td>
    <td>重大</td>
    <td>5.0、5.1.1、6.0、6.0.1</td>
    <td>2015 年 9 月 27 日</td>
 </tr>
</tbody></table>

<p> * この問題に対するパッチは AOSP にはありません。アップデートは <a href="https://developers.google.com/android/nexus/drivers">Google デベロッパー サイト</a>から入手できる Nexus 端末用最新バイナリ ドライバに含まれています。</p>

<h3 id="elevation_of_privilege_vulnerability_in_kernel">カーネルでの権限昇格の脆弱性</h3>

<p>カーネルに権限昇格の脆弱性があり、悪意のあるローカルアプリがカーネル内で勝手なコードを実行できるおそれがあります。ローカルでの永久的な端末の侵害につながるおそれがあり、端末を修復するにはオペレーティング システムの再適用が必要になる可能性があるため、この問題は「重大」と判断されています。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>バグと AOSP リンク</th>
    <th>重大度</th>
    <th>更新対象のバージョン</th>
    <th>報告日</th>
 </tr>
 <tr>
    <td>CVE-2015-6640</td>
    <td><a href="https://android.googlesource.com/kernel%2Fcommon/+/69bfe2d957d903521d32324190c2754cb073be15">ANDROID-20017123</a></td>
    <td>重大</td>
    <td>4.4.4、5.0、5.1.1、6.0</td>
    <td>Google 社内</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_bluetooth">Bluetooth での権限昇格の脆弱性</h3>

<p>Bluetooth コンポーネントに権限昇格の脆弱性があり、Bluetooth を介してペア設定されたリモート端末がユーザーの個人情報（連絡先）にアクセスできるおそれがあります。ローカルにインストールされているサードパーティ製アプリのみがアクセス可能な「<a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">dangerous</a>」権限をリモートで取得できるおそれがあるため、この問題の重大度は「高」と判断されています。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>バグと AOSP リンク</th>
    <th>重大度</th>
    <th>更新対象のバージョン</th>
    <th>報告日</th>
 </tr>
 <tr>
    <td>CVE-2015-6641</td>
    <td><a href="https://android.googlesource.com/platform%2Fpackages%2Fapps%2FSettings/+/98f11fd1a4752beed56b5fe7a4097ec0ae0c74b3">ANDROID-23607427</a> [<a href="https://android.googlesource.com/platform%2Fframeworks%2Fbase/+/ccbe7383e63d7d23bac6bccc8e4094fe474645ec">2</a>]</td>
    <td>高</td>
    <td>6.0、6.0.1</td>
    <td>Google 社内</td>
 </tr>
</tbody></table>

<h3 id="information_disclosure_vulnerability_in_kernel">カーネルでの情報開示の脆弱性</h3>

<p>カーネルに情報開示の脆弱性があり、攻撃者によるプラットフォームの悪用を阻むためのセキュリティ対策が回避されるおそれがあります。サードパーティ製アプリによるアクセスが不可能となっている <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">signature</a> 権限や <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">signatureOrSystem</a> 権限などへの昇格に利用されるおそれがあるため、この問題の重大度は「高」と判断されています。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>バグ</th>
    <th>重大度</th>
    <th>更新対象のバージョン</th>
    <th>報告日</th>
 </tr>
 <tr>
    <td>CVE-2015-6642</td>
    <td>ANDROID-24157888*</td>
    <td>高</td>
    <td>4.4.4、5.0、5.1.1、6.0</td>
    <td>2015 年 9 月 12 日</td>
 </tr>
</tbody></table>
<p> * この問題に対するパッチは AOSP にはありません。アップデートは <a href="https://developers.google.com/android/nexus/drivers">Google デベロッパー サイト</a>から入手できる Nexus 端末用最新バイナリ ドライバに含まれています。</p>

<h3 id="elevation_of_privilege_vulnerability_in_setup_wizard">セットアップ ウィザードでの権限昇格の脆弱性</h3>

<p>セットアップ ウィザードに権限昇格の脆弱性があり、端末を物理的に操作できる攻撃者が、端末の設定にアクセスして端末を手動でリセットできるおそれがあります。初期状態へのリセット機能の保護が不正に回避されるおそれがあるため、この問題の重大度は「中」と判断されています。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>バグと AOSP リンク</th>
    <th>重大度</th>
    <th>更新対象のバージョン</th>
    <th>報告日</th>
 </tr>
 <tr>
    <td>CVE-2015-6643</td>
    <td><a href="https://android.googlesource.com/platform/packages/apps/Settings/+/665ac7bc29396fd5af2ecfdfda2b9de7a507daa0">ANDROID-25290269</a> [<a href="https://android.googlesource.com/platform/packages/apps/Settings/+/a7ff2e955d2509ed28deeef984347e093794f92b">2</a>]</td>
    <td>中</td>
    <td>5.1.1、6.0、6.0.1</td>
    <td>Google 社内</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_wi-fi">Wi-Fi での権限昇格の脆弱性</h3>

<p>Wi-Fi コンポーネントに権限昇格の脆弱性があり、端末に近づいた攻撃者が Wi-Fi サービス関連の情報にアクセスできるおそれがあります。この脆弱性は、端末の近くに攻撃者がいる場合にのみ問題となります。ローカルにインストールされているサードパーティ製アプリのみがアクセス可能な「<a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">normal</a>」権限をリモートで取得できるおそれがあるため、この問題の重大度は「中」と判断されています。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>バグと AOSP リンク</th>
    <th>重大度</th>
    <th>更新対象のバージョン</th>
    <th>報告日</th>
 </tr>
 <tr>
    <td>CVE-2015-5310</td>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Fwpa_supplicant_8/+/1e9857b5f1dd84ac5a0ada0150b1b9c87d44d99d">ANDROID-25266660</a></td>
    <td>中</td>
    <td>4.4.4、5.0、5.1.1、6.0、6.0.1</td>
    <td>2015 年 10 月 25 日</td>
 </tr>
</tbody></table>

<h3 id="information_disclosure_vulnerability_in_bouncy_castle">Bouncy Castle での情報開示の脆弱性</h3>

<p>Bouncy Castle に情報開示の脆弱性があり、悪意のあるローカルアプリがユーザーの個人情報にアクセスできるおそれがあります。「<a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">dangerous</a>」権限を不正取得できるおそれがあるため、この問題の重大度は「中」と判断されています。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>バグと AOSP リンク</th>
    <th>重大度</th>
    <th>更新対象のバージョン</th>
    <th>報告日</th>
 </tr>
 <tr>
    <td>CVE-2015-6644</td>
    <td><a href="https://android.googlesource.com/platform/external/bouncycastle/+/3e128c5fea3a0ca2d372aa09c4fd4bb0eadfbd3f">ANDROID-24106146</a></td>
    <td>中</td>
    <td>4.4.4、5.0、5.1.1、6.0、6.0.1</td>
    <td>Google 社内</td>
 </tr>
</tbody></table>

<h3 id="denial_of_service_vulnerability_in_syncmanager">SyncManager でのサービスの拒否の脆弱性</h3>

<p>SyncManager にサービス拒否の脆弱性があり、悪意のあるローカルアプリによって再起動ループが引き起こされるおそれがあります。ローカルで一時的なサービス拒否が引き起こされ、初期状態へのリセットによる修復が必要となるおそれがあるため、この問題の重大度は「中」と判断されています。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>バグと AOSP リンク</th>
    <th>重大度</th>
    <th>更新対象のバージョン</th>
    <th>報告日</th>
 </tr>
 <tr>
    <td>CVE-2015-6645</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fbase/+/c0f39c1ece72a05c796f7ba30b7a2b5b580d5025">ANDROID-23591205</a></td>
    <td>中</td>
    <td>4.4.4、5.0、5.1.1、6.0</td>
    <td>Google 社内</td>
 </tr>
</tbody></table>

<h3 id="attack_surface_reduction_for_nexus_kernels">Nexus カーネルの攻撃対象領域の削減</h3>

<p>System V IPC はどの Android カーネルでもサポートされません。システム機能の向上に寄与しない攻撃対象領域が増加して、悪意のあるアプリによって利用されるおそれがあることから、System V IPC は OS から削除されました。また、System V IPC は、割り当てられたリソースをメモリ マネージャで解放できず、カーネル全体でのリソースリークの原因となるため、Android アプリのライフサイクルに準拠していません。この変更により、CVE-2015-7613 などの問題が解決しました。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>バグ</th>
    <th>重大度</th>
    <th>更新対象のバージョン</th>
    <th>報告日</th>
 </tr>
 <tr>
    <td>CVE-2015-6646</td>
    <td>ANDROID-22300191*</td>
    <td>中</td>
    <td>6.0</td>
    <td>Google 社内</td>
 </tr>
</tbody></table>

<p> * この問題に対するパッチは AOSP にはありません。アップデートは <a href="https://developers.google.com/android/nexus/drivers">Google デベロッパー サイト</a>から入手できる Nexus 端末用最新バイナリ ドライバに含まれています。</p>

<h3 id="common_questions_and_answers">一般的な質問と回答</h3>

<p>上記の公開情報に対する一般的な質問とその回答について、以下で説明します。</p>

<p><strong>1. 上記の問題に対処するように端末が更新されているかどうかを確かめるには、どうすればよいですか？</strong></p>

<p>LMY49F 以降のビルド、および Android 6.0（セキュリティ パッチ レベルが 2016 年 1 月 1 日以降）で上記の問題に対処しています。セキュリティ パッチレベルを確認する方法について詳しくは、<a href="https://support.google.com/nexus/answer/4457705">Nexus のドキュメント</a>をご覧ください。このアップデートを含めたデバイス メーカーは、パッチ文字列のレベルを [ro.build.version.security_patch]:[2016-01-01] に設定する必要があります。</p>

<h2 id="revisions">改訂</h2>

<ul>
  <li> 2016 年 1 月 4 日: 情報公開
  </li><li>2016 年 1 月 6 日: 公開情報を改訂し AOSP リンクを追加
  </li><li>2016 年 4 月 28 日: 謝辞から CVE-2015-6617 を削除、概要表に CVE-2015-6647 を追加

</li></ul></body></html>